function toggleDisplay (objectid,imageref) {
  
  if (objectid.style.display == "block") {
    objectid.style.display = "none";
    imageref.src = "expandicon.png";
  } 	
  else {
    objectid.style.display = "block";
    imageref.src = "collapseicon.png";
  }
}

function headerSection() {
  document.write ("<div class=titlepage>");
  document.write ("<div class=printspace></div>");
  document.write ("<hr>");
  document.write ("<h1 style='color:#0C2C52'>Users Guide for POVPerson V2.0</h1>");
  document.write ("<h5>Document Version 2.0 - Published 31st October 2005</h5>");
  if (thisSection == 0) document.write ('<h1 style="color:#0C2C52">'+sectionHeading[thisSection]+'</h1>');
  else document.write ('<h1 style="color:#0C2C52">Section '+thisSection+'  - '+sectionHeading[thisSection]+'</h1>');
  document.write ("<hr>");
  document.write ("</div>");
}

function endSection() {
  document.write ("<p>");
  document.write ("<div class=displayonly align=center>");
  document.write ("<a href='00contents.html'>Main Table of Contents</a> &nbsp; ");
  document.write ("<a href=#Top>Section Contents</a>");
  document.write ("</div>");
  document.write ("<p>");
  document.write ("<hr>");
  document.write ("<p>");
}

function footer() {
  document.write ("<hr style='width:100%'>");    
  document.write ("<center>&copy;Copyright Chris Bartlett 2004-2005.</center>");
  document.write ("You are authorised to re-use the POV-Person library and this document in ");  
  document.write ("original or modified form for ");  
  document.write ("both commercial and non-commercial purposes, with or without credit being ");  
  document.write ("given to the author, provided that such re-use does not in any way prevent "); 
  document.write ("anybody else from doing the same.");    
  document.write ("<hr style='width:100%'>");    
  document.write ("<p>");
}

function toc() {
  for (i=1;i<sectionCount;i++){
    document.write ('<h4>');
    document.write ('<img src="expandicon.png" width=16 onclick="toggleDisplay(classid'+i+',this)"> ');
    document.write ('<a href="'+sectionFile[i]+'"> '+i+' &nbsp; '+sectionHeading[i]+'</a><br>');
    document.write ('</h4>')
    document.write ('<div id="classid'+i+'" style="display:none">');
    for (j=0;j<subSectionCount[i];j++){
      document.write ('&nbsp; &nbsp; <a href="'+sectionFile[i]+'#'+subSectionName[i][j]+'"  >'+i+'.'+(j+1)+' &nbsp; '+subSectionHeading[i][j]+'</a> <br>');
    }
    document.write ('</div>');
  }
//  alert(classid1.outerHTML);
}

function sectionToc() {
  i=thisSection;
  for (j=0;j<subSectionCount[i];j++){
    document.write ('<a href="#'+subSectionName[i][j]+'"  >'+i+'.'+(j+1)+' &nbsp; '+subSectionHeading[i][j]+'</a> <br>');
  }
}

function tocFooter() {
  document.write ("<hr class=displayonly>");
  document.write ("<div class=displayonly align=center>");
  document.write ('  <a href="'+sectionFile[0]+'">Users Guide '+sectionHeading[0]+'</a> &nbsp; &nbsp;');
  if (thisSection >= 2) document.write ('  <a href="'+sectionFile[thisSection-1]+'"   >Previous Section - '+sectionHeading[thisSection-1]+'</a>');
  document.write ('  &nbsp; &nbsp; <a href="'+sectionFile[thisSection+1]+'"   >Next Section - '+sectionHeading[thisSection+1]+'</a><br>');
  document.write ('  <a href="'+sectionFile[0]+'#printing">Saving and Printing this documentation</a>');
  document.write ("</div>");
  document.write ("<hr class=displayonly>");
}


sectionHeading   = new Array();
sectionFile      = new Array();
subSectionHeading = new Array();
subSectionCount   = new Array();
subSectionName    = new Array();

N = 0;
sectionHeading[N] = "Table of Contents"          ; sectionFile[N] = "00contents.html"  ;

N = N + 1;
sectionHeading[N] = "Quick Start"                ; sectionFile[N] = "01quickstart.html";
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "Installing POV-Person"        ; subSectionName[N][0] = "install"  ;
subSectionHeading[N][1] = "Adding a figure to your scene"; subSectionName[N][1] = "adding"   ;
subSectionHeading[N][2] = "Adding more people"           ; subSectionName[N][2] = "more"     ;
subSectionHeading[N][3] = "Crowd control"                ; subSectionName[N][3] = "crowd"    ;
subSectionHeading[N][4] = "Animation"                    ; subSectionName[N][4] = "animation";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 5;

N = N + 1;
sectionHeading[N] = "Basics"                     ; sectionFile[N] = "02using.html"     ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "Essentials";           subSectionName[N][0] = "stuff";
subSectionHeading[N][1] = "How POV-Person works"; subSectionName[N][1] = "how";
subSectionHeading[N][2] = "Hair";                 subSectionName[N][2] = "hair";
subSectionHeading[N][3] = "Heads";                subSectionName[N][3] = "heads";
subSectionHeading[N][4] = "Necks";                subSectionName[N][4] = "necks";
subSectionHeading[N][5] = "Torsos";               subSectionName[N][5] = "torsos";
subSectionHeading[N][6] = "Arms/Hands";           subSectionName[N][6] = "arms";
subSectionHeading[N][7] = "Legs/Feet";            subSectionName[N][7] = "legs";
subSectionCount[N] = 8;

N = N + 1;
sectionHeading[N] = "Figure Control Files"                  ; sectionFile[N] = "03controlfiles.html" ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "Overview";                  subSectionName[N][0] = "overview";
subSectionHeading[N][1] = "Character";                 subSectionName[N][1] = "character";
subSectionHeading[N][2] = "Style";                     subSectionName[N][2] = "style";
subSectionHeading[N][3] = "Expression";                subSectionName[N][3] = "expression";
subSectionHeading[N][4] = "Pose";                      subSectionName[N][4] = "pose";
subSectionHeading[N][5] = "Costume";                   subSectionName[N][5] = "costume";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 6;

N = N + 1;
sectionHeading[N] = "Crowds"                                ; sectionFile[N] = "04crowds.html" ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "Introduction";                  subSectionName[N][0] = "introduction";
subSectionHeading[N][1] = "Defining Figure Positions";     subSectionName[N][1] = "positions";
subSectionHeading[N][2] = "Members of a Crowd";            subSectionName[N][2] = "members";
subSectionHeading[N][3] = "Making a Crowd";                subSectionName[N][3] = "placement";
subSectionHeading[N][4] = ""; subSectionName[N][4] = "";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 4;

N = N + 1;
sectionHeading[N] = "Animation"                  ; sectionFile[N] = "05animation.html" ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "Overview";                                           subSectionName[N][0] = "overview";
subSectionHeading[N][1] = "Adjusting the clock";                                subSectionName[N][1] = "clock";
subSectionHeading[N][2] = "Fixing the location and orientation of a body part"; subSectionName[N][2] = "fix";
subSectionHeading[N][3] = "The mirror macro";                                   subSectionName[N][3] = "mirror";
subSectionHeading[N][4] = "The animation testbed";                              subSectionName[N][4] = "testbed";
subSectionHeading[N][5] = "Further reading";                                    subSectionName[N][5] = "reading";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 6;

N = N + 1;
sectionHeading[N] = "Control Variable Reference" ; sectionFile[N] = "06variables.html" ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "General Control Variable"; subSectionName[N][0] = "class1";
subSectionHeading[N][1] = "Texture";                  subSectionName[N][1] = "class2";
subSectionHeading[N][2] = "Hair Style";               subSectionName[N][2] = "class3";
subSectionHeading[N][3] = "Costume";                  subSectionName[N][3] = "class4";
subSectionHeading[N][4] = "Body Part Reference";      subSectionName[N][4] = "class5";
subSectionHeading[N][5] = "Joint Reference";          subSectionName[N][5] = "class6";
subSectionHeading[N][6] = "Object Definition";        subSectionName[N][6] = "class7";
subSectionHeading[N][7] = "Crowd Variable";           subSectionName[N][7] = "class8";
subSectionHeading[N][8] = "Animation Variable";       subSectionName[N][8] = "class9";
subSectionHeading[N][9] = "POV-Person Matrix";        subSectionName[N][9] = "class10";
subSectionHeading[N][10]= "Props";                    subSectionName[N][10]= "class11";
subSectionHeading[N][11]= "Need Fixing";              subSectionName[N][11]= "class12";
subSectionCount[N] = 12;

N = N + 1;
sectionHeading[N] = "Macro Reference"            ; sectionFile[N] = "07macros.html"    ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "High Level Macros"; subSectionName[N][0] = "class1";
subSectionHeading[N][1] = "Core Macros";       subSectionName[N][1] = "class2";
subSectionHeading[N][2] = "Clothing Macros";   subSectionName[N][2] = "class3";
subSectionHeading[N][3] = "Utility Macros";    subSectionName[N][3] = "class4";
subSectionHeading[N][4] = ""; subSectionName[N][4] = "class5";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 4;

N = N + 1;
sectionHeading[N] = "Props"            ; sectionFile[N] = "08props.html"    ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "High Level Macros"; subSectionName[N][0] = "class1";
subSectionHeading[N][1] = "Core Macros";       subSectionName[N][1] = "class2";
subSectionHeading[N][2] = "Clothing Macros";   subSectionName[N][2] = "class3";
subSectionHeading[N][3] = "Utility Macros";    subSectionName[N][3] = "class4";
subSectionHeading[N][4] = ""; subSectionName[N][4] = "class5";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 4;

N = N + 1;
sectionHeading[N] = "Adding library files"       ; sectionFile[N] = "09custom.html"    ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = ""; subSectionName[N][0] = "";
subSectionHeading[N][1] = ""; subSectionName[N][1] = "";
subSectionHeading[N][2] = ""; subSectionName[N][2] = "";
subSectionHeading[N][3] = ""; subSectionName[N][3] = "";
subSectionHeading[N][4] = ""; subSectionName[N][4] = "";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 0;

N = N + 1;
sectionHeading[N] = "Appendices"                 ; sectionFile[N] = "appendices.html"  ;
subSectionHeading[N] = new Array();
subSectionName[N]    = new Array();
subSectionHeading[N][0] = "POV-Person license"        ; subSectionName[N][0] = "license"   ;
subSectionHeading[N][1] = "Contributing library files"; subSectionName[N][1] = "contribute";
subSectionHeading[N][2] = ""; subSectionName[N][2] = "";
subSectionHeading[N][3] = ""; subSectionName[N][3] = "";
subSectionHeading[N][4] = ""; subSectionName[N][4] = "";
subSectionHeading[N][5] = ""; subSectionName[N][5] = "";
subSectionHeading[N][6] = ""; subSectionName[N][6] = "";
subSectionHeading[N][7] = ""; subSectionName[N][7] = "";
subSectionCount[N] = 2;

N = N + 1;
sectionCount = N;






